import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'
import LabView from '../views/LabView.vue'
import ProjectView from '../views/ProjectView.vue'
import TestView from '../views/TestView.vue'
import UserView from '../views/UserView.vue'
import AdminView from '../views/AdminView.vue'
import MarkdownTestView from '../views/MarkdownTestView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/login',
      name: 'login',
      component: LoginView
    },
    {
      path: '/lab/:id',
      name: 'lab',
      component: LabView
    },
    {
      path: '/project',
      name: 'project',
      component: ProjectView
    },
    {
      path: '/test',
      name: 'test',
      component: TestView
    },
    {
      path: '/markdown-test',
      name: 'markdown-test',
      component: MarkdownTestView
    },
    {
      path: '/user',
      name: 'user',
      component: UserView
    },
    {
      path: '/admin',
      name: 'admin',
      component: AdminView
    }
  ]
})

export default router
